"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = aside;

var _ramda = require("ramda");

// > ? ...Function -> Anything:a -> Anything:a
//
// Use this function to do thing aside of a main pipeline.
//
// ``` javascript
// import {pipe} from "ramda"
// import {aside} from "ramda-extra"
// import format from "../format"
// import log from "../log"
// import processData from "../processData"
//
// export default function generateGraph () {
//   return pipe(
//     aside(format, log),
//     processData
//   )
// }
// ```

function aside() {
  return (0, _ramda.tap)(_ramda.pipe.apply(undefined, arguments));
}