"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isPopulated;

var _ramda = require("ramda");

var _compact = require("../compact");

var _compact2 = _interopRequireDefault(_compact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// > Array | Object -> Boolean
//
// Allows you to check if a container has any items.
//
// ``` javascript
// import {isPopulated} from "ramda"
//
// isPopulated([1]) // true
// isPopulated({a: 'b'}) // true
// isPopulated({}) // false
// isPopulated([]) // false
// ```

function isPopulated(list) {
  return !(0, _ramda.isEmpty)((0, _compact2.default)(list));
}