"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isPresent;

var _ramda = require("ramda");

function isPresent(value) {
  return !(0, _ramda.isNil)(value);
} // > ? Anything -> Boolean
//
// This lets you know if it's a non-null, non-undefined value.
//
// ``` javascript
// import {isPresent} from "ramda-extra"
//
// isPresent('x') // true
// isPresent([]) // true
// isPresent(null) // false
// isPresent(undefined) // false
// ```