"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require("ramda");

// > ? Function -> Object:a -> Object:b
//
// Like ramda's map, but instead of the value it maps over keys.
//
// ``` javascript
// import {kebab} from "case"
// import {mapKeys} from "ramda-extra"
//
// const attributes = {
//   name: "Kurtis Rainbolt-Greene",
//   createdAt: new Date()
// }
//
// mapKeys(kebab, attributes)
// // {
// //   name: "Kurtis Rainbolt-Greene",
// //   "created-at": new Date()
// // }
// ```

var ARGUMENTS = 2;

exports.default = (0, _ramda.curryN)(ARGUMENTS, function mapKeys(unction, structure) {
  if ((0, _ramda.type)(unction) !== "Function") {
    throw new Error("mapKeys only works with an Function, but the first argument was a " + (0, _ramda.type)(unction));
  }

  if ((0, _ramda.type)(structure) !== "Object") {
    throw new Error("mapKeys only works on an Object, but the second argument was a " + (0, _ramda.type)(structure));
  }

  return (0, _ramda.fromPairs)((0, _ramda.map)((0, _ramda.adjust)(unction, 0), (0, _ramda.toPairs)(structure)));
});