"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = shuffle;

var _ramda = require("ramda");

// While this raises eslint issues, they should be ignored. This is the best possible shuffle implementation I could find.
function shuffle(array) {
  var counter = (0, _ramda.length)(array);
  var clone = array.slice();

  // While there are elements in the array
  while (counter > 0) {
    // Pick a random index
    var index = Math.floor(Math.random() * counter);

    // Decrease counter by 1
    counter--;

    // And swap the last element with it
    var temp = clone[counter];

    clone[counter] = clone[index];
    clone[index] = temp;
  }

  return clone;
} // > ? Array of Anything:ab -> Array of Anything:ba
//
// Takes an Array and returns an Array with the same content, but in a random order.
//
//
// ``` javascript
// import {shuffle} from "ramda-extra"
// import {users} from "./users"
//
// console.log(users()) // => [{"id": 1, "name": "Kurtis Rainbolt-Greene"}, {"id": 2, "name": "Angela Englund"}, {"id": 3", "name": "Joshua Benitez"}]
//
// console.log(shuffle(users())) // => [{"id": 1, "name": "Kurtis Rainbolt-Greene"}, {"id": 3", "name": "Joshua Benitez"}, {"id": 2, "name": "Angela Englund"}]
//
// console.log(shuffle(users())) // => [{"id": 3", "name": "Joshua Benitez"}, {"id": 1, "name": "Kurtis Rainbolt-Greene"}, {"id": 2, "name": "Angela Englund"}]
//
// console.log(shuffle(users())) // => [{"id": 2, "name": "Angela Englund"}, {"id": 3", "name": "Joshua Benitez"}, {"id": 1, "name": "Kurtis Rainbolt-Greene"}]
// ```